# -*- mode: salt; coding: utf-8 -*-
# vim: ft=sls

{#- Get the `tplroot` from `tpldir` #}
{%- set tplroot = tpldir.split('/')[0] %}
{%- from tplroot ~ '/map.jinja' import mapdata as ews with context %}
{%- from tplroot ~ "/libkwargs.jinja" import format_kwargs with context %}

{%- set saltstack = ews.salt %}

eole-workstation/salt/minion/package/install/pkg.installed:
  pkgrepo.managed:
    {{- format_kwargs(ews.salt.pkg.repo) }}

  file.managed:
    - name: /etc/apt/preferences.d/saltstack
    - source: 'salt://eole-workstation/salt/minion/package/saltstack.pref'
    - context:
        version: {{ ews.salt.pkg.version }}
    - template: jinja

  pkg.installed:
    - name: {{ saltstack.minion.pkg.name }}
